Subject: [TR] Funny story about Brad Penn Oil TR6

From: [email-masked]
Date: Wed, 25 Sep 2013 19:50:02 -0500 (CDT)

Stupid rich text:

Its been an expensive summer with my 1 owner 1972 TR6.

Had issues with clutch master cylinder, replaced, still having problems. It had to be mechanical.

Took to a British car shop. By the time they were done with me, a new clutch and a totally rebuilt gear box was in the equation. There were enough metal shavings on that magnetic drain plug from TRF to make a small Christmas tree. $4000 later, we are on the road again.

The thing I want to share with the list, because it is funny, and I need to laugh because I had to put that bill on the 12 month payment plan, is something about Brad Penn Motor Oil.

For years, I was a Castrol person, adding ZDDP, you know that story. Always thought all the fluids draining out of the bottom of the car were the gearbox, seals, etc. Well, all that was replaced with my $4000 upgrade.

So, just for the record, if you convert to Brad Penn oil, which is green, it will be clear to you (funny) after the conversion and replacement of the entire gearbox and seals, that oil is still leaking from your British car because it is GREEN. I can see at the bottom of the engine a GREEN line where oil is slowly making its way to the floor.

Don't get me wrong, I never need to add oil during the driving season, so I am not too worried, but I thought we could all get a laugh. 

It is getting dark way to early, enjoy the driving while you can.

Craig
1972 Triumph TR6

** [email-masked] **

Archive: http://www.team.net/archive